Bug 980186 - grouplist not showing groups and also incorrect
grouplist not showing groups and also incorrect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 11:45 EDT by Zing
Modified: 2014-02-05 17:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:01:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2013-07-01 11:45:26 EDT
Description of problem:
I ran into problems trying to install/verify the virtualization group.

1. "yum grouplist" does not show the Virtualization group available.

2. I see there is a "yum groups list" command, but it is also wrong: "yum groups list" output is same as grouplist.

3. "yum groups list hidden" shows Virtualization, but under the "Installed Groups" section which is wrong on my system... The following packages are still missing when I go to install the virtualization group:

# yum groupinstall Virtualization
Loaded plugins: changelog, langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package libvirt.x86_64 0:0.10.2.6-1.fc18 will be installed
--> Processing Dependency: libvirt-daemon-driver-xen = 0.10.2.6-1.fc18 for package: libvirt-0.10.2.6-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-driver-uml = 0.10.2.6-1.fc18 for package: libvirt-0.10.2.6-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-driver-lxc = 0.10.2.6-1.fc18 for package: libvirt-0.10.2.6-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-driver-libxl = 0.10.2.6-1.fc18 for package: libvirt-0.10.2.6-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-config-nwfilter = 0.10.2.6-1.fc18 for package: libvirt-0.10.2.6-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-config-network = 0.10.2.6-1.fc18 for package: libvirt-0.10.2.6-1.fc18.x86_64
---> Package qemu-kvm.x86_64 2:1.2.2-11.fc18 will be updated
---> Package qemu-kvm.x86_64 2:1.2.2-13.fc18 will be an update
--> Processing Dependency: qemu-system-x86 = 2:1.2.2-13.fc18 for package: 2:qemu-kvm-1.2.2-13.fc18.x86_64
---> Package virt-viewer.x86_64 0:0.5.4-3.fc18 will be installed
--> Running transaction check
---> Package libvirt-daemon-config-network.x86_64 0:0.10.2.6-1.fc18 will be installed
---> Package libvirt-daemon-config-nwfilter.x86_64 0:0.10.2.6-1.fc18 will be installed
---> Package libvirt-daemon-driver-libxl.x86_64 0:0.10.2.6-1.fc18 will be installed
--> Processing Dependency: libxenlight.so.2.0()(64bit) for package: libvirt-daemon-driver-libxl-0.10.2.6-1.fc18.x86_64
--> Processing Dependency: libxenctrl.so.4.2()(64bit) for package: libvirt-daemon-driver-libxl-0.10.2.6-1.fc18.x86_64
---> Package libvirt-daemon-driver-lxc.x86_64 0:0.10.2.6-1.fc18 will be installed
---> Package libvirt-daemon-driver-uml.x86_64 0:0.10.2.6-1.fc18 will be installed
---> Package libvirt-daemon-driver-xen.x86_64 0:0.10.2.6-1.fc18 will be installed
---> Package qemu-system-x86.x86_64 2:1.2.2-11.fc18 will be updated
---> Package qemu-system-x86.x86_64 2:1.2.2-13.fc18 will be an update
--> Processing Dependency: qemu-common = 2:1.2.2-13.fc18 for package: 2:qemu-system-x86-1.2.2-13.fc18.x86_64
--> Running transaction check
---> Package qemu-common.x86_64 2:1.2.2-11.fc18 will be updated
---> Package qemu-common.x86_64 2:1.2.2-13.fc18 will be an update
---> Package xen-libs.x86_64 0:4.2.2-7.fc18 will be installed
--> Processing Dependency: xen-licenses for package: xen-libs-4.2.2-7.fc18.x86_64
--> Running transaction check
---> Package xen-licenses.x86_64 0:4.2.2-7.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================
 Package                            Arch       Version             Repository        Size
==========================================================================================
Installing:
 libvirt                            x86_64     0.10.2.6-1.fc18     nysa-updates      33 k
 virt-viewer                        x86_64     0.5.4-3.fc18        nysa-updates     204 k
Updating:
 qemu-kvm                           x86_64     2:1.2.2-13.fc18     nysa-updates      37 k
Installing for dependencies:
 libvirt-daemon-config-network      x86_64     0.10.2.6-1.fc18     nysa-updates      32 k
 libvirt-daemon-config-nwfilter     x86_64     0.10.2.6-1.fc18     nysa-updates      36 k
 libvirt-daemon-driver-libxl        x86_64     0.10.2.6-1.fc18     nysa-updates     103 k
 libvirt-daemon-driver-lxc          x86_64     0.10.2.6-1.fc18     nysa-updates      93 k
 libvirt-daemon-driver-uml          x86_64     0.10.2.6-1.fc18     nysa-updates      72 k
 libvirt-daemon-driver-xen          x86_64     0.10.2.6-1.fc18     nysa-updates     114 k
 xen-libs                           x86_64     4.2.2-7.fc18        nysa-updates     415 k
 xen-licenses                       x86_64     4.2.2-7.fc18        nysa-updates      77 k
Updating for dependencies:
 qemu-common                        x86_64     2:1.2.2-13.fc18     nysa-updates     210 k
 qemu-system-x86                    x86_64     2:1.2.2-13.fc18     nysa-updates     4.2 M

Transaction Summary
==========================================================================================
Install  2 Packages (+8 Dependent packages)
Upgrade  1 Package  (+2 Dependent packages)

Total download size: 5.6 M

What or why is this "hidden" group?  There is a lot of other useful groups under this "hidden" option.  "yum grouplist" should just show all available groups.


Version-Release number of selected component (if applicable):
# yum --version
3.4.3
  Installed: rpm-4.10.3.1-1.fc18.x86_64 at 2013-06-20 13:39
  Built    : Fedora Project at 2013-02-06 09:54
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2013-02-06

  Installed: yum-3.4.3-54.fc18.noarch at 2013-06-20 13:40
  Built    : Fedora Project at 2013-04-04 16:34
  Committed: Zdenek Pavlas <zpavlas@redhat.com> at 2013-04-04

Expected results:
fix the above points.
Comment 1 Brian Dudek 2013-12-11 13:21:33 EST
Can verify these interactions on Fedora 18:

[root@black ~]# rpm -q rpm yum
rpm-4.10.3.1-3.fc18.x86_64
yum-3.4.3-54.fc18.noarch

# yum group list - does not show Virtualization
# yum group list installed - does not show Virtualization - 'installed' option DOES NOT WORK AT ALL on Fedora 19 - new bug?
# yum group list available - does not show Virtualization
# yum group list hidden - does correctly show Virtualization as an installed Group
# yum group info Virtualization - works as expected
# yum group install Virtualization - broken



[root@black ~]# yum group install "Virtualization"
Loaded plugins: dellsysid, fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.unl.edu
 * rpmfusion-free: mirror.liberty.edu
 * rpmfusion-free-updates: mirror.web-ster.com
 * rpmfusion-nonfree: mirror.liberty.edu
 * rpmfusion-nonfree-updates: mirror.web-ster.com
 * updates: mirror.unl.edu
Warning: Group virtualization does not have any packages to install.
No packages in any requested group available to install or update


[root@black ~]# yum group info Virtualization
Loaded plugins: dellsysid, fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.unl.edu
 * rpmfusion-free: mirror.liberty.edu
 * rpmfusion-free-updates: mirror.web-ster.com
 * rpmfusion-nonfree: mirror.liberty.edu
 * rpmfusion-nonfree-updates: mirror.web-ster.com
 * updates: mirror.unl.edu

Group: Virtualization
 Group-Id: virtualization
 Description: These packages provide a virtualization environment.
 Mandatory Packages:
   python-virtinst
 Default Packages:
   libvirt
   libvirt-daemon-kvm
   qemu-kvm
   virt-manager
   virt-viewer
 Optional Packages:
   guestfs-browser
   libguestfs-tools
   python-libguestfs
   virt-top
Comment 2 Fedora End Of Life 2013-12-21 09:12:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Brian Dudek 2013-12-22 23:44:57 EST
Please move this to a Fedora 19 issue


[root@nome ~]# rpm -q rpm yum fedora-release
rpm-4.11.1-3.fc19.x86_64
yum-3.4.3-122.fc19.noarch
fedora-release-19-5.noarch

# documentation states that "group list" options are: installed, available,  environment, language, packages, hidden, and ids

but 'installed' & 'language' do not work without ALSO adding 'hidden' 

# only shows available group
[root@nome ~]# yum group list

# works as expected - but adding 'available' is not needed - see above
[root@nome ~]# yum group list available

# nothing?
[root@nome ~]# yum group list installed
Loaded plugins: langpacks, refresh-packagekit
Warning: no environments/groups match: installed

# should not need 'hidden' - I'm root
[root@nome ~]# yum group list installed hidden 
Loaded plugins: langpacks, refresh-packagekit
Installed groups:
   Virtualization
Done

#  Is 'hidden' acting like RHEL6 yum-3.2.29 man page reads with "user visible" that I never saw any mortal output difference with - but it did show BOTH installed AND available WITHOUT 'hidden'


[root@nome ~]# yum group install Virtualization
Loaded plugins: langpacks, refresh-packagekit
No packages in any requested group available to install or update

# per yum-3.4 f19 man page - would this prove that all mandatory packages are  installed to mark the group as "installed" ?
Comment 4 Fedora End Of Life 2014-02-05 17:01:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.